Subject: Re: bug#43120: 28.0.50; fido-mode: M-j before completions appear selects wrong choice

From: João Távora <[email-masked]>
Date: Wed, 09 Sep 2020 20:13:28 +0100

Stefan Monnier <[email-masked]> writes:

>> Nope, sorry. You're right. It should read minibuffer-complete-and-exit there
>> of course.
>
> IIRC this depends on whether the completion is `require-match` or not.

If so, shouldn't minibuffer-complete-and-exit take care of that?  I
mean, I've remapped the binding to _that_ command, so unless it's making
some "(interactive)" magic, which it is not, calling it from lisp in the
normal case as it should be completely equivalent.

I've gone ahead and commited the fix, as it fixes Hirofumi's problem, as
he described it.

João